* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
    font-size: small;
    --main-color: #f08923;
    --second-color: #7a7a7a;
    --background-color: #ffffff;
    --text-color: #ffffff;
    --text-color-2: #54595F;
    --text-color-3: black;
    --background-color-opacity: #ffffff9d;
}

html, body {
    overflow: hidden;
}

.hidden {
    visibility: collapse;
}

.icon {
    max-width: 20px;
    max-height: 20px;
    margin: auto;
}

.text {
    color: rgb(173, 173, 173);
    border-bottom: 1px solid rgb(104, 104, 104);
    padding: 0.6em 0.6em 0.6em 1em;
}

.text:hover {
    background-color: #3e4147;
}

.text-title {
    color: rgb(236, 236, 236);
}

.basic-button {
    background-color: #202225;
    width: 100%;
    height: 40px;
    border: none;
    text-align: center;
}

.basic-button:hover {
    background-color: var(--main-color);
    cursor: pointer;
}

.side-menu {
    z-index: 1;
    position: fixed;
    background-color: #36393F;
    height: 100vh;
}

.side-sub-menu {
    width: 100%;
    height: inherit;
    margin: 2px;
}

.ifcjs-dimension-preview {
    width: 1rem;
    height: 1rem;
    background-color: #FFA50F;
    border-radius: 1rem;
    opacity: 0.5;
}

.ifcjs-dimension-label {
    background-color: black;
    color: white;
    padding: 4px;
    border-radius: 4px;
}

#viewer-container {
    position: relative;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

#side-menu-left {
    width: 40px;
}

#side-menu-right {
    right: 0;
    width: 300px;
}

.loading-overlay {
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #f1f1f150;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.loading-progress {
    color: black;
}

.hidden {
    display: none;
}

.floating-top {
    position: absolute;
    top: 1rem;
    z-index: 10000;
    left: 4rem;
}

.floating-top label {
    margin-right: 0.5em;
}

/* For all menus */
.all-menus {
    position: fixed;
    top: 0px;
    right: auto;
    left: 40px;
    z-index: 10000;
    width: 20rem;
    background-color: var(--background-color-opacity);
}
/* Show the nested list when the user clicks on the caret/arrow (with JavaScript) */
.all-menus .active {
    display: block;
    margin-left: 10px;
}

/* For rule-checker */
.ifc-rule-checker {
    position: relative;
    background-color: var(--transparent-white);
    overflow-y: scroll;
    max-height: 20rem;
    border-bottom: dashed 2px gray;
}
.validation-message {
    display: flex;
    flex-direction: row;
    /* width: 100%; */
    padding: 0.5rem;
}
.validation-text {
    display: flex;
    flex-direction: row;
    /* width: 100%; */
    padding: 0.5rem;
}
.validation-icon {
    display: flex;
    flex-direction: row;
    max-width: 20px;
    max-height: 20px;
    margin: auto;
    width: 100%;
    /* padding: 0.5rem; */
    /* box-sizing: content-box; */
}
img {
    max-width: 20px;
    max-height: 20px;
}
/* For tree view */
.ifc-tree-menu {
    position: relative;
    overflow-y: scroll;
    background-color: var(--transparent-white);
    max-height: 17rem;
    border-bottom: dashed 2px gray;
}
li ul {
    user-select: none;
    cursor: pointer;
}
ul, #myUL {
    list-style-type: none;
}
#myUL {
    margin: 0.5rem;
    padding: 0;
}
.caret {
    cursor: pointer;
    user-select: none; 
}
.caret::before {
    content: "\25B6";
    display: inline-block;
    margin-right: 6px;
}
.caret-down::before {
    transform: rotate(90deg);
}
.nested {
    display: none;
}

/* For properties menu */
.ifc-property-menu {
    position: relative;
    background-color: var(--transparent-white);
    overflow-y: scroll;
    max-height: 20rem;
}
.ifc-property-item {
    display: flex;
    flex-direction: row;
    width: 100%;
    padding: 0.5rem;
    border-bottom: solid 1px gray;
}
.ifc-property-value {
    width: 100%;
    text-align: right;
}
.visible {
    opacity: 1;
}

.ifc-property-menu::-webkit-scrollbar,
.ifc-tree-menu::-webkit-scrollbar,
.ifc-rule-checker::-webkit-scrollbar {
  width: 12px;             
}
.ifc-property-menu::-webkit-scrollbar-track,
.ifc-tree-menu::-webkit-scrollbar-track,
.ifc-rule-checker::-webkit-scrollbar-track {
  background: var(--background-color-opacity);  
}
.ifc-property-menu::-webkit-scrollbar-thumb,
.ifc-tree-menu::-webkit-scrollbar-thumb,
.ifc-rule-checker::-webkit-scrollbar-thumb {
  background-color: var(--main-color); 
}